/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.json.loan;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "loan")
public class LoanTypeJaxb {

    private String id;
    private BigDecimal payment;
    private String description;

    public LoanTypeJaxb() {
    }

    public LoanTypeJaxb(String id, BigDecimal payment) {
        this.id = id;
        this.payment = payment;
    }
    
    public LoanTypeJaxb(String id, BigDecimal payment, String description) {
        this.id = id;
        this.payment = payment;
        this.description = description;
    }

    @XmlElement(name = "id")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @XmlElement(name = "payment")
    public BigDecimal getPayment() {
        return payment;
    }

    public void setPayment(BigDecimal payment) {
        this.payment = payment;
    }

    @XmlElement(name = "description")
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
    
    

    @Override
    public String toString() {
        return "LoanTypeJaxb{" + "payment=" + payment + '}';
    }

}
